﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORLIN]') AND name = N'XCORLIN1')
BEGIN 
PRINT 'Creating index XCORLIN1 on table CORLIN'
CREATE UNIQUE NONCLUSTERED INDEX [XCORLIN1] ON [dbo].[CORLIN] 
(
	[SKUN] ASC,
	[NUMB] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORLIN]') AND name = N'XCORLIN2')
BEGIN 
PRINT 'Creating index XCORLIN2 on table CORLIN'
CREATE UNIQUE NONCLUSTERED INDEX [XCORLIN2] ON [dbo].[CORLIN] 
(
	[NUMB] ASC,
	[SKUN] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'QTYO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_QTYO')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_QTYO on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_QTYO] DEFAULT ((0)) FOR [QTYO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'QTYT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_QTYT')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_QTYT on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_QTYT] DEFAULT ((0)) FOR [QTYT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'QTYR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_QTYR')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_QTYR on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_QTYR] DEFAULT ((0)) FOR [QTYR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'WGHT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_WGHT')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_WGHT on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_WGHT] DEFAULT ((0)) FOR [WGHT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'VOLU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_VOLU')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_VOLU on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_VOLU] DEFAULT ((0)) FOR [VOLU]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'PORC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_PORC')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_PORC on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_PORC] DEFAULT ((0)) FOR [PORC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'DeliveryStatus' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_DeliveryStatus')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_DeliveryStatus on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_DeliveryStatus] DEFAULT ((0)) FOR [DeliveryStatus]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'SellingStoreId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_SellingStoreId')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_SellingStoreId on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_SellingStoreId] DEFAULT ((0)) FOR [SellingStoreId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'SellingStoreOrderId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_SellingStoreOrderId')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_SellingStoreOrderId on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_SellingStoreOrderId] DEFAULT ((0)) FOR [SellingStoreOrderId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'QtyToBeDelivered' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_QtyToBeDelivered')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_QtyToBeDelivered on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_QtyToBeDelivered] DEFAULT ((0)) FOR [QtyToBeDelivered]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'Price' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_Price')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_Price on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_Price] DEFAULT ((0)) FOR [Price]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'IsDeliveryChargeItem' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_IsDeliveryChargeItem')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_IsDeliveryChargeItem on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_IsDeliveryChargeItem] DEFAULT ((0)) FOR [IsDeliveryChargeItem]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORLIN' AND COLUMN_NAME = 'QuantityScanned' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORLIN_QuantityScanned')
BEGIN 
    PRINT 'Creating default constraint DF_CORLIN_QuantityScanned on table CORLIN' 
    ALTER TABLE [dbo].[CORLIN]
    ADD CONSTRAINT [DF_CORLIN_QuantityScanned] DEFAULT ((0)) FOR [QuantityScanned]
END 
GO

